Bug 59628 - [CTG] Backlight failure
Summary: [CTG] Backlight failure
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: high normal
Assignee: Jani Nikula
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-20 15:43 UTC by Roland Gruber
Modified: 2017-07-24 22:59 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
dmesg output (55.31 KB, text/plain)
2013-01-20 15:43 UTC, Roland Gruber
no flags Details
VBIOS dump (64.00 KB, application/octet-stream)
2013-01-20 15:44 UTC, Roland Gruber
no flags Details
lspci (13.47 KB, text/plain)
2013-01-21 21:56 UTC, Roland Gruber
no flags Details
dmidecode (13.97 KB, text/plain)
2013-01-21 21:57 UTC, Roland Gruber
no flags Details
drm/i915: add quirk to invert brightness on eMachines G725 (1.32 KB, patch)
2013-01-22 10:38 UTC, Jani Nikula
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Gruber 2013-01-20 15:43:44 UTC
Created attachment 73335 [details]
dmesg output

Hi,

the screen turns to black at the beginning of the boot process.
I have to run "setpci -s 00:02.0 F4.B=00" via ssh to see anything.
This is similar to bug 668274.

Booting with the 2.6 kernel does not show this problem.


Best regards

Roland

Debian bug report: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=680737

uname -a
Linux lappi 3.7-trunk-amd64 #1 SMP Debian 3.7.3-1~experimental.1 x86_64 GNU/Linux

Debian Wheezy with kernel 3.7.3 (same problem with 3.2.0 but kernel 2.6 works).

Machine: eMachines G725
Comment 1 Roland Gruber 2013-01-20 15:44:32 UTC
Created attachment 73336 [details]
VBIOS dump
Comment 2 Roland Gruber 2013-01-20 15:46:04 UTC
Sorry, bug 668274 is a Debian bug number.
Comment 3 Daniel Vetter 2013-01-20 19:13:03 UTC
Can you please boot with i915.invert_brigthness=1 and check whether that works better? If so, please attach the output of lspci -nn
Comment 4 Roland Gruber 2013-01-21 20:04:28 UTC
Wow, this worked. :)
Now I can see all boot messages.

Here is the output of lspci -nn:

00:00.0 Host bridge [0600]: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub [8086:2a40] (rev 09)
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a42] (rev 09)
00:02.1 Display controller [0380]: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller [8086:2a43] (rev 09)
00:1a.0 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 [8086:2937] (rev 03)
00:1a.7 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 [8086:293c] (rev 03)
00:1b.0 Audio device [0403]: Intel Corporation 82801I (ICH9 Family) HD Audio Controller [8086:293e] (rev 03)
00:1c.0 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 [8086:2940] (rev 03)
00:1c.1 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 [8086:2942] (rev 03)
00:1c.2 PCI bridge [0604]: Intel Corporation 82801I (ICH9 Family) PCI Express Port 3 [8086:2944] (rev 03)
00:1d.0 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 [8086:2934] (rev 03)
00:1d.1 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 [8086:2935] (rev 03)
00:1d.2 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 [8086:2936] (rev 03)
00:1d.3 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 [8086:2939] (rev 03)
00:1d.7 USB controller [0c03]: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 [8086:293a] (rev 03)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev 93)
00:1f.0 ISA bridge [0601]: Intel Corporation ICH9M LPC Interface Controller [8086:2919] (rev 03)
00:1f.2 SATA controller [0106]: Intel Corporation 82801IBM/IEM (ICH9M/ICH9M-E) 4 port SATA Controller [AHCI mode] [8086:2929] (rev 03)
00:1f.3 SMBus [0c05]: Intel Corporation 82801I (ICH9 Family) SMBus Controller [8086:2930] (rev 03)
04:00.0 Network controller [0280]: Broadcom Corporation BCM4312 802.11b/g LP-PHY [14e4:4315] (rev 01)
05:00.0 Ethernet controller [0200]: Atheros Communications Inc. AR8132 Fast Ethernet [1969:1062] (rev c0)
Comment 5 Daniel Vetter 2013-01-21 20:39:09 UTC
Another gen4 quirk entry for Jani ...
Comment 6 Daniel Vetter 2013-01-21 20:40:42 UTC
Oops, we actually need lspci -vnn for the quirk entry. Also please attach the output of dmidecode, just in case.
Comment 7 Roland Gruber 2013-01-21 21:56:40 UTC
Created attachment 73412 [details]
lspci
Comment 8 Roland Gruber 2013-01-21 21:57:05 UTC
Created attachment 73413 [details]
dmidecode
Comment 9 Roland Gruber 2013-01-21 21:57:53 UTC
Output files are now added.
Comment 10 Jani Nikula 2013-01-22 10:38:08 UTC
Created attachment 73444 [details] [review]
drm/i915: add quirk to invert brightness on eMachines G725

Please try the attached patch. Do *not* use i915.invert_brigthness=1 module parameter.
Comment 11 Daniel Vetter 2013-01-22 11:54:06 UTC
Patch merged to dinq:

commit 1ffff60320879830e469e26062c18f75236822ba
Author: Jani Nikula <jani.nikula@intel.com>
Date:   Tue Jan 22 12:50:34 2013 +0200

    drm/i915: add quirk to invert brightness on eMachines G725
Comment 12 Roland Gruber 2013-01-22 19:00:54 UTC
Thanks. Please give me some days time. I compiled my last own kernel 10 years ago. ;-)
Comment 13 Jani Nikula 2013-01-23 07:56:37 UTC
(In reply to comment #12)
> Thanks. Please give me some days time. I compiled my last own kernel 10
> years ago. ;-)

FYI, you can try the drm-intel-next-queued branch of
http://cgit.freedesktop.org/~danvet/drm-intel/
Comment 14 Roland Gruber 2013-01-27 11:00:10 UTC
I compiled a kernel with the attached patch and it works. :)
Thank you so much for your fast help!


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.